cpw.mods.fml.common

## Class ModMetadata

- java.lang.Object
- - cpw.mods.fml.common.ModMetadata

-     public class ModMetadata
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.lang.String>` | `authorList`
    `boolean` | `autogenerated`
    `java.util.List<ModContainer>` | `childMods`
    `java.lang.String` | `credits`
    `java.util.List<ArtifactVersion>` | `dependants`
    `java.util.List<ArtifactVersion>` | `dependencies`
    `java.lang.String` | `description`
    `java.lang.String` | `logoFile`
    `java.lang.String` | `modId`
    `java.lang.String` | `name`
    `java.lang.String` | `parent`
    `ModContainer` | `parentMod`
    `java.util.Set<ArtifactVersion>` | `requiredMods`
    `java.lang.String[]` | `screenshots`
    `java.lang.String` | `updateUrl`
    `java.lang.String` | `url`
    `boolean` | `useDependencyInformation`
    `java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModMetadata()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthorList()`
    `java.lang.String` | `getChildModCountString()`
    `java.lang.String` | `getChildModList()`
    `java.lang.String` | `printableSortingRules()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modId

          public java.lang.String modId

    - #### name

          public java.lang.String name

    - #### description

          public java.lang.String description

    - #### url

          public java.lang.String url

    - #### updateUrl

          public java.lang.String updateUrl

    - #### logoFile

          public java.lang.String logoFile

    - #### version

          public java.lang.String version

    - #### authorList

          public java.util.List<java.lang.String> authorList

    - #### credits

          public java.lang.String credits

    - #### parent

          public java.lang.String parent

    - #### screenshots

          public java.lang.String[] screenshots

    - #### parentMod

          public transient ModContainer parentMod

    - #### childMods

          public transient java.util.List<ModContainer> childMods

    - #### useDependencyInformation

          public boolean useDependencyInformation

    - #### requiredMods

          public java.util.Set<ArtifactVersion> requiredMods

    - #### dependencies

          public java.util.List<ArtifactVersion> dependencies

    - #### dependants

          public java.util.List<ArtifactVersion> dependants

    - #### autogenerated

          public transient boolean autogenerated

  - ### Constructor Detail

    - #### ModMetadata

          public ModMetadata()

  - ### Method Detail

    - #### getChildModCountString

          public java.lang.String getChildModCountString()

    - #### getAuthorList

          public java.lang.String getAuthorList()

    - #### getChildModList

          public java.lang.String getChildModList()

    - #### printableSortingRules

          public java.lang.String printableSortingRules()